Bug 4290 - man wrong viewed koi8-r manpages and neqn wrong defined default device
Summary: man wrong viewed koi8-r manpages and neqn wrong defined default device
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: gnu (show other bugs)
Version: 2.2.2-RELEASE
Hardware: Any Any
: Normal Affects Only Me
Assignee: Andrey A. Chernov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 1997-08-13 08:30 UTC by Anatoly A. Orehovsky
Modified: 1999-06-07 20:04 UTC (History)
0 users

See Also:


Attachments
file.diff (762 bytes, patch)
1997-08-13 08:30 UTC, Anatoly A. Orehovsky
no flags Details | Diff
file.diff (780 bytes, patch)
1997-08-13 08:30 UTC, Anatoly A. Orehovsky
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Anatoly A. Orehovsky 1997-08-13 08:30:01 UTC
man wrong defined default device for groff as ascii and wrong viewed koi8-r
or latin1 manpages in $LANG KOI8-R or ISO_8859-1 environment. neqn wrong defined
default device as ascii.

Fix: Patches:

cd /usr/src/contrib/groff/eqn

cd /usr/src/gnu/usr.bin/man
How-To-Repeat: 
man <koi8-r or latin1 manpage>
Comment 1 Wolfram Schneider freebsd_committer 1997-09-14 19:20:41 UTC
Responsible Changed
From-To: freebsd-bugs->ache

Internationalization is Andrey A. Chernov area. 
Comment 2 Andrey A. Chernov freebsd_committer 1997-09-15 03:12:53 UTC
State Changed
From-To: open->analyzed


neqn fix applied in neqn.sh v1.2 

man fix not applied because first person who read manpage write 
it to disk in his encoding (namely Latin1 or KOI8-R) which may 
prevent other users to read it. 

man needs special option to specify encoding to each manpath component 
in /etc/manpath.config file, something like 

MANDATORY_MANPATH       /usr/share/man koi8-r 

to specify default encoding in per-manpath basis 
Comment 3 Andrey A. Chernov freebsd_committer 1999-06-07 20:01:53 UTC
State Changed
From-To: analyzed->closed

man fixed to understand localized hierarchies